View Issue Details

IDProjectCategoryView StatusLast Update
0000060GORM[Adventure PHP Framework] Bugpublic2015-10-12 12:20
ReporterMeggerAssigned Todingsda 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version[Adventure PHP Framework] 2.0 
Target Version[Adventure PHP Framework] 2.1Fixed in Version[Adventure PHP Framework] 2.1 
Summary0000060: Indices werden nicht "aktualisiert" durch das GORMManagementTool
DescriptionDas GORMManagementTool erzeugt keine Indices, obwohl diese in der Konfigurationsdatei vorhanden sind
Tagsgorm
Codereferenz: ([Datei]:[Zeile])

Relationships

related to 0000018 closeddingsda Update-Tool: Erweitertes Index-Handling 

Activities

ChristianAchatz

2014-01-05 20:08

administrator   ~0000155

@Tobi: gibst du bitte nochmal Feedback hierzu? Danke!

ChristianAchatz

2014-02-16 08:22

administrator   ~0000219

Wie im APF-DEV-Chat besprochen findet Tobi aktuell keine Zeit sich das Thema nochmals genauer anzusehen. Daher auf 2.1 verschoben.

Sofern jemand Lust & Zeit hat, gerne nehmen und beheben.

ChristianAchatz

2014-05-17 22:23

administrator   ~0000352

@dingsda: magst du dir das Thema noch für 2.1 ansehen?

dingsda

2014-05-18 14:22

developer   ~0000355

bin schon dabei. habs heute oder morgen fertig (abhängig davon, ob ich heute noch arbeiten muss)

ChristianAchatz

2014-05-18 15:05

administrator   ~0000356

Last edited: 2014-05-18 15:05

View 2 revisions

Nur kein Stress! :) Vielen Dank!

dingsda

2014-05-20 01:15

developer   ~0000357

Last edited: 2014-05-20 01:16

View 2 revisions

ich hab gleich noch http://tracker.adventure-php-framework.org/view.php?id=20 mit reingepackt. hoffe das ist ok. ansonsten sinds auch nur 2 zeilen, die man beim manager ändern muss um das wieder rückgängig zu machen.

hab allgemein den ganzen manager ziemlich umgebaut, weils mir einfach leichter fiel dran zu arbeiten, wenn erstmal die tabellen komplett aufgebaut sind um damit weiterzuarbeiten.

nebenbei noch das reengineering verbessert. bei meinen tests waren kaum noch unnötige update statements dabei.

ChristianAchatz

2014-05-23 19:16

administrator   ~0000359

Hallo dingsda,

danke für den Pull-Request. Ich reviewe die Änderungen und merge sie in den master.

ChristianAchatz

2014-05-28 07:50

administrator   ~0000366

Reviewed, ganz kleine Korrektur eingecheckt (keine Leerzeile vor namespace-Deklaration). Damit ist das Thema geschlossen.

Vielen Dank dir! :)

Issue History

Date Modified Username Field Change
2013-08-18 19:29 Megger New Issue
2013-08-18 19:29 Megger Status new => assigned
2013-08-18 19:29 Megger Assigned To => Megger
2013-08-18 19:33 Megger Tag Attached: gorm
2013-11-14 11:08 Megger Assigned To Megger =>
2013-11-14 15:03 jwlighting Status assigned => new
2014-01-05 20:08 ChristianAchatz Note Added: 0000155
2014-01-26 11:38 ChristianAchatz Target Version 2.0 => 2.1
2014-02-16 08:22 ChristianAchatz Note Added: 0000219
2014-02-18 20:37 jwlighting Relationship added related to 0000018
2014-02-18 20:37 jwlighting Assigned To => dingsda
2014-02-18 20:37 jwlighting Status new => assigned
2014-05-17 22:23 ChristianAchatz Note Added: 0000352
2014-05-18 14:22 dingsda Note Added: 0000355
2014-05-18 15:05 ChristianAchatz Note Added: 0000356
2014-05-18 15:05 ChristianAchatz Note Edited: 0000356 View Revisions
2014-05-20 01:15 dingsda Note Added: 0000357
2014-05-20 01:16 dingsda Note Edited: 0000357 View Revisions
2014-05-23 19:16 ChristianAchatz Note Added: 0000359
2014-05-23 19:17 ChristianAchatz Assigned To dingsda => ChristianAchatz
2014-05-28 07:50 ChristianAchatz Note Added: 0000366
2014-05-28 07:50 ChristianAchatz Status assigned => resolved
2014-05-28 07:50 ChristianAchatz Fixed in Version => 2.1
2014-05-28 07:50 ChristianAchatz Resolution open => fixed
2014-05-28 07:50 ChristianAchatz Assigned To ChristianAchatz => dingsda
2015-10-12 12:20 ChristianAchatz Status resolved => closed